# Interface NotePathRecord

interface NotePathRecord {
isArchived : boolean;
isHidden : boolean;
isInHoistedSubTree : boolean;
isSearch ?: boolean;
notePath : string[];
}

- Defined in src/public/app/entities/fnote.ts:41

##### Index

### Properties

isArchived
isHidden
isInHoistedSubTree
isSearch?
notePath

## Properties

### isArchived

isArchived: boolean

- Defined in src/public/app/entities/fnote.ts:42

### isHidden

isHidden: boolean

- Defined in src/public/app/entities/fnote.ts:46

### isInHoistedSubTree

isInHoistedSubTree: boolean

- Defined in src/public/app/entities/fnote.ts:43

### `Optional` isSearch

isSearch?: boolean

- Defined in src/public/app/entities/fnote.ts:44

### notePath

notePath: string[]

- Defined in src/public/app/entities/fnote.ts:45